Bug 1295899 - ScaleIO could connect wrong volume to VM
ScaleIO could connect wrong volume to VM
Status: CLOSED WONTFIX
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-os-brick (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
medium Severity medium
: ---
: 8.0 (Liberty)
Assigned To: Eric Harney
nlevinki
: Triaged, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-05 12:56 EST by Eric Harney
Modified: 2017-09-14 11:51 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-14 11:51:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1524989 None None None 2016-01-05 12:57 EST
OpenStack gerrit 260729 None None None 2016-01-05 12:56 EST

  None (edit)
Description Eric Harney 2016-01-05 12:56:34 EST
"When running multiple attach volume operations with multiple volumes and multiple VMs, a wrong volume could end up being attached to a VM. To fix this, connect_volume and disconnect_volume should be locked."

We should keep this on the radar for backporting.  This can be moved to python-os-brick when there is a BZ component for this.
Comment 3 Mike McCune 2016-03-28 18:34:54 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Note You need to log in before you can comment on or make changes to this bug.